# Use Auto DevOps pipeline
# https://gitlab.com/gitlab-org/gitlab/blob/master/lib/gitlab/ci/templates/Auto-DevOps.gitlab-ci.yml
include:
  - template: Auto-DevOps.gitlab-ci.yml

variables:
  # disable some auto devops tests
  BROWSER_PERFORMANCE_DISABLED: 1
  CODE_QUALITY_DISABLED: 1
  CONTAINER_SCANNING_DISABLED: 1
  DAST_DISABLED: 1
  DEPENDENCY_SCANNING_DISABLED: 1
  LICENSE_MANAGEMENT_DISABLED: 1
  LOAD_PERFORMANCE_DISABLED: 1
  PERFORMANCE_DISABLED: 1
  SAST_DISABLED: 1
  SECRET_DETECTION_DISABLED: 1
  TEST_DISABLED: 1

  # configure auto devops components
  POSTGRES_ENABLED: "false"
  STAGING_ENABLED: 1

  KUBE_INGRESS_BASE_DOMAIN: dev.lincsproject.ca
  KUBE_CONTEXT: "calincs/gitlab-agents:dev-agent"
  KUBE_NAMESPACE: $CI_PROJECT_NAME-$CI_COMMIT_REF_SLUG

# Template to override common deployment parameters
.deployment: &deployment
  environment:
    url: http://spacy.$KUBE_INGRESS_BASE_DOMAIN

# override some staging parameters
staging:
  <<: *deployment
  variables:
    KUBE_INGRESS_BASE_DOMAIN: stage.lincsproject.ca
    KUBE_CONTEXT: "calincs/gitlab-agents:stage-agent"
    KUBE_NAMESPACE: $CI_PROJECT_NAME-$CI_PROJECT_ID-staging

# override some production parameters
production_manual:
  <<: *deployment
  variables:
    KUBE_INGRESS_BASE_DOMAIN: lincsproject.ca
    KUBE_CONTEXT: "calincs/gitlab-agents:prod-agent"
    KUBE_NAMESPACE: $CI_PROJECT_NAME-$CI_PROJECT_ID-production
